apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bojan Smojver <bo...@rexursive.com>
Subject Re: [PATCH]: Introduce apr_dbd_transaction_rollback
Date Fri, 28 Apr 2006 23:52:38 GMT
On Fri, 2006-04-28 at 09:41 -0400, Chris Darroch wrote:

>    Now I'm partly assuming that there can't be zillions of users
> yet relying on it in a 1.3 environment who really also need a
> forceable rollback feature, and that those who do can upgrade to
> 2.x.  (After all, isn't it good to provide these little inducements
> to encourage folks to upgrade?  :-)

By far the most important piece of software that uses APR 1.2.x is
Apache 2.2 and associated modules. An upgrade of APR to 2.x there would
most likely require an MMN bump. I'm not sure if Apache development
policies permit this any more mid minor version. However, using APR
1.3.x, given it is binary compatible with 1.2.x, would probably be an
option. So, the upgrade here is all about timing, AFAIK.

It would be good if Apache developers could enlighten us a bit more
here...

-- 
Bojan


Mime
View raw message